Name: oddjob
Version: 0.12
Release: 0
Source: oddjob-%{version}-0.tar.gz
Summary: A D-BUS service which runs odd jobs.
License: BSD
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: dbus-devel >= 0.22, libselinux-devel, pam-devel, python-devel
Prereq: /sbin/chkconfig

%description
OddJob is a D-BUS service which performs particular tasks for clients which
connect to it and issue requests using the system-wide message bus.

%package devel
Group: Development/Libraries
Summary: Files for developing OddJob clients.

%description devel
This package contains header files and static libraries which aid in the
development of OddJob client applications.

%prep
%setup -q -n %{name}-%{version}-0

%build
%configure --without-selinux --without-python
make all distclean
%configure --with-selinux --with-python
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr "$RPM_BUILD_ROOT"
make install DESTDIR="$RPM_BUILD_ROOT"
rm "$RPM_BUILD_ROOT"/%{_libdir}/security/*.la
rm "$RPM_BUILD_ROOT"/%{_libdir}/security/*.a
if ! test -d "$RPM_BUILD_ROOT"/%{_lib}/security ; then
	mkdir -p "$RPM_BUILD_ROOT"/%{_lib}/security
	mv "$RPM_BUILD_ROOT"/%{_libdir}/security/*.so "$RPM_BUILD_ROOT"/%{_lib}/security/
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc *.dtd COPYING python/sample.py
%config %{_initrddir}/oddjobd
%{_bindir}/*
%{_sbindir}/*
%config %{_sysconfdir}/dbus-*/system.d/*.conf
%config %{_sysconfdir}/oddjobd.conf
%dir    %{_sysconfdir}/oddjobd.conf.d
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/*
/%{_lib}/security/*.so
%{_libexecdir}/%{name}
%{_mandir}/*/*.*
%{_libdir}/liboddjob.so.*
%{_libdir}/python*/site-packages/*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/pkgconfig/oddjob.pc
%{_libdir}/liboddjob.la
%{_libdir}/liboddjob.so
%{_libdir}/liboddjob.a

%post
/sbin/chkconfig --add oddjobd
/sbin/ldconfig

%preun
if [ $1 -eq 0 ] ; then
	/sbin/chkconfig --del oddjobd
fi

%postun
/sbin/ldconfig
